<script type="text/javascript">


    var mapId = "map";
    var OpenStreetMap = new L.TileLayer('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {attribution: 'Map data © <a href="http://openstreetmap.org">OpenStreetMap</a> contributors'});


    // layers
    {% for key,L in tabLayers %}
       
 
        

var {{key|split('.').0}} = new L.GeoJSON.AJAX("geo/{{key}}", {style: {   {{L|raw }} }}  );


    {% endfor %}
/*

        var bv = new L.GeoJSON.AJAX("geo/carthage2008_sbv.geojson", {style: {'color': '#006633', 'weight': '3px'}});

        var cdo = new L.GeoJSON.AJAX("geo/carthage2008_cdo_pcpx.geojson", {style: {'color': '#003399', 'weight': '2px'}});
*/
        var baseLayers = {OpenStreetMap};
        var otherBaseLayers = {  {% for key,L in tabLayers %} {{key|split('.').0}}:'{{key|split('.').0}}',   {% endfor %} };
        var otherBaseLayers = null;
        var map = L.map(mapId, {
            center: new L.LatLng({{app.MAPCENTER}}),
            zoom: {{app.MAPZOOM}},
            maxZoom: 20,
            layers: [OpenStreetMap, {% for key,L in tabLayers %} {{key|split('.').0}},   {% endfor %}]
        });
        L.control.layers(baseLayers, otherBaseLayers, {position: 'topleft'}).addTo(map);
        L.control.scale({'imperial': false, 'metric': true, 'position': 'bottomright'}).addTo(map);

        var hauteurIcon = L.icon({
            iconUrl: '/img/icon/hauteur.png',
            iconSize: [40, 40], // size of the icon       
            iconAnchor: [20, 20], // point of the icon which will correspond to marker's location      
            popupAnchor: [0, -10] // point from which the popup should open relative to the iconAnchor
        });
        var debitIcon = L.icon({
            iconUrl: '/img/icon/debit.png',
            iconSize: [40, 40], // size of the icon       
            iconAnchor: [20, 20], // point of the icon which will correspond to marker's location      
            popupAnchor: [0, -10] // point from which the popup should open relative to the iconAnchor
        });
        var pluvioIcon = L.icon({
            iconUrl: '/img/icon/pluvio.png',
            iconSize: [40, 40], // size of the icon       
            iconAnchor: [20, 20], // point of the icon which will correspond to marker's location      
            popupAnchor: [0, -10] // point from which the popup should open relative to the iconAnchor
        });


    {% for p in points %}   

        {% if app.session.get('U').aAcces('ROLE_LECTEUR',p.id_point_suivi,app.pdo) %}
            {% set geom = p.geom_ps|slice(6,((p.geom_ps|length)-7)) %}
            {% set coords = geom|split(' ') %}

                var marker = L.marker([{{ coords[1] }},{{ coords[0] }} ], {icon: {{ p.type_point }}Icon}).addTo(map).bindPopup("<h2><a href=\"{{ url('point-suivi', { 'alias':p.alias, 'type':p.type_point }) }}\">{{ p.point_suivi }}</a></h2>");

        {% endif %}
    {% endfor %}

</script>